Entity Type API
List Schema Migrations
List the schema migration history for an entity type, newest first.
GET
/
v2
/
entity-types
/
{entity_type_id}
/
schema-migrations
List Schema Migrations
curl --request GET \
--url https://public.api.serval.com/v2/entity-types/{entity_type_id}/schema-migrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.serval.com/v2/entity-types/{entity_type_id}/schema-migrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.serval.com/v2/entity-types/{entity_type_id}/schema-migrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"entityTypeId": "<string>",
"details": {
"changeFieldType": {
"fieldId": "<string>",
"fieldKey": "<string>"
}
},
"actorUserId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the entity type whose migration history to list.
Query Parameters
Maximum number of results to return. Default is 50, maximum is 200.
Token for pagination. Leave empty for the first request.
Was this page helpful?
⌘I
List Schema Migrations

